Your suggested change has been received. Thank you.

close

Suggest A Change

https://thales.na.market.dpondemand.io/docs/dpod/services/kmo….

back

SAP Keys APIs

Adding SAP Key Version

search

Adding SAP Key Version

Use the post /v1/cckm/sap/keys/{id}/versions API to add a new version to SAP cloud key. Specify whether the version will be created natively on the SAP cloud or uploaded from an external key source.

Syntax

curl -k '<IP>/api/v1/cckm/sap/keys/{id}/versions' -X POST -H 'Authorization: Bearer AUTHTOKEN' --compressed

Here, {id} is the resource ID of the SAP key.

Request Parameters

Parameter Type Description
AUTHTOKEN string Authentication token.
is_native boolean Whether to create the key version natively or upload from a key source.
source_key_identifier string ID of the source key that will be uploaded to SAP.
source_key_tier string Tier of the source key. The options are:
local for the CipherTrust Manager
dsm for the Data Security Manager
hsm-luna for Luna HSM
The default tier is local.

Example Request

curl -k 'https://127.0.0.1/api/v1/cckm/sap/keys/d109deae-5ca7-421d-bf49-637e65c3bbcb/versions' -X POST -H 'Authorization: Bearer eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJhdWQiOiI3ZjRlNmJkNi0wMzgzLTQ4MGMtYWZmZS0wYTQxNDgzZmVlNmUiLCJzdWIiOiJsb2NhbHxlNjM3NTVjOS01YzRhLTQ0NzUtOWI0Zi0wN2JjNzQxYjQ1MGEiLCJpc3MiOiJreWxvIiwiYWNjIjoia3lsbyIsInByZWZlcnJlZF91c2VybmFtZSI6ImFkbWluIiwiY3VzdCI6eyJkb21haW5faWQiOiIwMDAwMDAwMC0wMDAwLTAwMDAtMDAwMC0wMDAwMDAwMDAwMDAiLCJncm91cHMiOlsiYWRtaW4iXSwic2lkIjoiMjhkYjY1YWQtODhmMy00ZmIwLTk0OTAtM2Q4ZDJkNzk0NTU3Iiwiem9uZV9pZCI6IjAwMDAwMDAwLTAwMDAtMDAwMC0wMDAwLTAwMDAwMDAwMDAwMCJ9LCJqd3RpZCI6ImI0NTY1NzE4LWNjYmMtNGI0ZC1hNDMzLTAzM2VkMDdjMjJhZSIsImlhdCI6MTYzNDU1MjA2NiwiZXhwIjoxNjM0NTUyMzY2fQ.7pJMG11rZ4rfquCQNtTIm48Om3yWLmSFZyH6z2S8JHo' --compressed

Example Response

{
    "id":"442a7d65-1f27-4d2e-96b3-c8144b363eb7",
    "uri":"kylo:kylo:cckm:sap-key-version:442a7d65-1f27-4d2e-96b3-c8144b363eb7",
    "account":"kylo:kylo:admin:accounts:kylo",
    "createdAt":"2021-10-18T10:15:54.628368425Z",
    "updatedAt":"2021-10-18T10:15:54.6256878Z",
    "cloud_name":"sap",
    "tenant":"thales-preprod",
    "groupId":"489ac34d-3e9c-4be3-8c1c-2c383bf31461",
    "sap_key_id":"0d2393aa-09d8-4edb-9052-151eba9b4dfa",
    "origin":"native",
    "enabled":true,
    "operations":[
        "DECRYPT",
        "ENCRYPT"
    ],
    "version":1,
    "meta":{
        "created":"2021-10-18T10:15:54.566230",
        "creatorId":"69f41156-5197-490d-aa5f-f1ffb0ab4e66",
        "creatorName":"creator.name@xyz.com"
    }
}

Response Codes

Response Code Description
2xx Success
4xx Client errors
5xx Server errors

Refer to HTTP status codes for details.